---
search:
  tags:
    - dcs-clusters
    - POST
seo:
  description: >-
    Run pre-deployment prerequisite checks on candidate DCS… Reference for the
    POST /api/v1/dcs-clusters/preflight endpoint in the TimescaleDB Enterprise
    API.
sidebar:
  label: Run DCS pre-deploy checks
  badge: POST
title: Run DCS pre-deploy checks
type: openapi-operation
---
Run pre-deployment prerequisite checks on candidate DCS servers (advisory).

`POST /api/v1/dcs-clusters/preflight`

**Request body** (`application/json`, required)

- `server_ids` (string[], required)

Request body example:

```json
{
  "server_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "servers": [
    {
      "checks": [
        {
          "check": "string",
          "detail": "string",
          "status": "pass"
        }
      ],
      "role": "string",
      "server_id": "string",
      "server_name": "string"
    }
  ]
}
```
